allow setting smaller scale bar in composer Scalebar items
Description

hello,

this is connected a bit with #9366, but this post is just about scalebar alone.

At this moment, thanks to restriction of decimals (in the fields of scale bar properties -> Units -> Map units per bar units; and in field of
Segments -> size) the minimal scale bar is 1 cm if both fields are set to minimal possible (0.01).

| would like to ask if it could be allowed to change decimals of that fields to at least 3 (allowing to get 1mm scale bar) or even to 6 (getting
1 micrometer as smallest scalebar possible). The limitation of decimals is in Ul file so change would not brake anything, usability would
stay the same. | just fear designers and experts of Ul design could say NO as too many decimals could be inconvenient for most of users
from visual perspective of Ul.

Related issues:
Related to QGIS Application - Feature request # 9366: Allow scale values < 1 ... Closed 2014-01-18

Associated revisions

Revision ae965680 - 2014-06-17 02:23 PM - Nyall Dawson

[composer] Increase number of decimal places for scale bar settings (fix #9367)

History

#1 - 2014-01-18 11:42 AM - Nyall Dawson
- Category changed from 33 to Map Composer/Printing

#2 - 2014-06-17 05:23 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"ae965680cf700e681677722396322833cbc6bbe2".
